## edu.cwru.SimpleRTS.util
Enum Logger.MessageLevel

    java.lang.Object
      java.lang.Enum<Logger.MessageLevel>
          edu.cwru.SimpleRTS.util.Logger.MessageLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Logger.MessageLevel>

Enclosing class:
  Logger

    public static enum Logger.MessageLevel

extends java.lang.Enum<Logger.MessageLevel>

A list of different levels of urgency of messages

Author:
  Tim

Enum Constant Summary
`CRITICAL_ERROR`
`ERROR`
`OBSERVATION`
`WARNING`

Method Summary
`static Logger.MessageLevel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Logger.MessageLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OBSERVATION

    public static final Logger.MessageLevel OBSERVATION

### WARNING

    public static final Logger.MessageLevel WARNING

### ERROR

    public static final Logger.MessageLevel ERROR

### CRITICAL_ERROR

    public static final Logger.MessageLevel CRITICAL_ERROR

Method Detail

### values

    public static Logger.MessageLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Logger.MessageLevel c : Logger.MessageLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Logger.MessageLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null